Agents
Update an agent
Only agents this account owns can be edited; a globally shared agent is read-only here.
Only agents this account owns can be edited; a globally shared agent is read-only here.
Authorization
api_key agents:writeAuthorizationBearer <token>
An atk_-prefixed API key, created under Settings → API keys.
In: header
Scope: agents:write
Path Parameters
agent_id*string
Agent id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "can_manage_agents": true, "created_at": "2019-08-24T14:15:22Z", "description": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "model": "string", "name": "string", "owner_user_id": "65139110-7c3c-4777-b692-80c218be3b9d", "prompt_ids": [ "string" ], "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44", "supports_image": true, "temperature": 0, "tool_plugin_ids": [ "string" ], "updated_at": "2019-08-24T14:15:22Z", "version": 0}